Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1663616 - usb forwarding does not work on VMs/templates created in 3.6 after upgrading to 4.2.7
Summary: usb forwarding does not work on VMs/templates created in 3.6 after upgrading ...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.3.3
: 4.3.0
Assignee: Steven Rosenberg
QA Contact: Liran Rotenberg
URL:
Whiteboard:
Depends On:
Blocks: 1693322
TreeView+ depends on / blocked
 
Reported: 2019-01-05 14:31 UTC by Marian Jankular
Modified: 2019-04-14 13:38 UTC (History)
6 users (show)

Fixed In Version: ovirt-engine-4.3.1.1
Doc Type: Bug Fix
Doc Text:
In this release, redirection device types are no longer set to unplugged and can now obtain the proper address from the domain xml when supported or from the host when they are not supported.
Clone Of:
: 1693322 (view as bug list)
Environment:
Last Closed:
oVirt Team: Virt
Target Upstream Version:
lrotenbe: testing_plan_complete+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3786831 Troubleshoot None RHV: USB redirection stopped working after upgrading to version 4.2 2019-03-27 12:49:09 UTC
oVirt gerrit 97115 master MERGED engine: USB Forwarding fix after Upgrade 2019-02-10 09:46:07 UTC
oVirt gerrit 98975 ovirt-engine-4.2 MERGED engine: USB Forwarding fix after Upgrade 2019-03-31 13:00:52 UTC

Description Marian Jankular 2019-01-05 14:31:11 UTC
Description of problem:
usb forwarding does not work on VMs/templates created in 3.6 after upgrading to 4.2.7

Version-Release number of selected component (if applicable):
RHV 4.2.7

How reproducible:
always at customer site

Steps to Reproduce:
1. have vm/pool/template created in RHEV 3.6 with usb redirection enabled
2. upgrade to 4.2.7 and change compatibility level to 4.2


Actual results:
after vm/pool/template will gain 4.2 compatibility level usb redirection will stop working

Expected results:
after vm/pool/template will gain 4.2 compatibility level usb redirection will be working

Additional info:
when you disable usb redirectio and enable again it start working again

Comment 3 Ryan Barry 2019-01-06 00:48:04 UTC
To clarify, is this VMs, pools, templates, or all? The test case you provided works, but trying to ensure all scenarios are covered

Comment 4 Olimp Bockowski 2019-01-10 08:13:28 UTC
It was reported that all of them are affected, i.e. VMs, Pools and templates.

Comment 5 Ryan Barry 2019-01-21 14:53:48 UTC
Re-targeting to 4.3.1 since it is missing a patch, an acked blocker flag, or both

Comment 7 RHV Bugzilla Automation and Verification Bot 2019-02-21 17:26:08 UTC
WARN: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status (ON_QA) wasn't changed but the folowing should be fixed:

[Found non-acked flags: '{'rhevm-4.3-ga': '?'}', ]

For more info please contact: rhv-devops@redhat.com

Comment 8 Liran Rotenberg 2019-02-26 12:03:04 UTC
Verified on:
ovirt-engine-4.3.1.1-0.1.el7.noarch

Steps:
1. Deploy RHV 4.1.
2. Create VM, VM from a template, and a pool.
3. Set console to SPICE and enabled usb redirection.
4. Run the VMs ( Also have some down VMs).
5. Upgrade to 4.2 and change compatibility level to 4.2.
6. Upgrade to 4.3 and change compatibility level to 4.3.
7. Reboot the running VMs, Start the down VMs.
8. Check the USB redirection running in the engine:

# /usr/share/ovirt-engine/dbscripts/engine-psql.sh -c "select type, device, address, is_managed, is_plugged, alias from vm_device_view where vm_id in (select vm_guid from vm_static where vm_name='<VM_NAME>') and device='spicevmc';"

In the result check for USB devices, type=redir, set with address, is_managed and is_plugged set to true and the device has alias.

Results:
The above VMs that were made in 4.1 with USB redirection, after moving to 4.3 without a reboot:
  type   |  device  |                      address                      | is_managed | is_plugged |  alias   
---------+----------+---------------------------------------------------+------------+------------+----------
 redir   | spicevmc | {type=usb, bus=0, port=4}                         | t          | t          | redir3
 redir   | spicevmc | {type=usb, bus=0, port=3}                         | t          | t          | redir2
 redir   | spicevmc | {type=usb, bus=0, port=1}                         | t          | t          | redir0
 redir   | spicevmc | {type=usb, bus=0, port=2}                         | t          | t          | redir1
 channel | spicevmc | {type=virtio-serial, bus=0, controller=0, port=3} | f          | t          | channel2
(5 rows)

After the reboot:

  type   |  device  |                      address                      | is_managed | is_plugged |                  alias                  
---------+----------+---------------------------------------------------+------------+------------+-----------------------------------------
 redir   | spicevmc | {type=usb, bus=0, port=4}                         | t          | t          | ua-adf66511-2c1f-47c0-9e77-565772892abc
 redir   | spicevmc | {type=usb, bus=0, port=3}                         | t          | t          | ua-444ee508-e0fb-4839-9047-220bbc2bebcb
 redir   | spicevmc | {type=usb, bus=0, port=1}                         | t          | t          | ua-00505a62-7f17-4166-be78-b1c394985550
 redir   | spicevmc | {type=usb, bus=0, port=2}                         | t          | t          | ua-1f85b62f-774e-4ba2-8e40-2954c8635fc4
 channel | spicevmc | {type=virtio-serial, bus=0, controller=0, port=3} | f          | t          | channel2
(5 rows)

Note: The fix is in 4.3, if the VM is rebooted in 4.2, a manual workaround will be needed: Disable USB redirection and enable it again

Comment 16 RHV Bugzilla Automation and Verification Bot 2019-03-29 11:14:41 UTC
INFO: Bug status (VERIFIED) wasn't changed but the folowing should be fixed:

[Open patch attached]

For more info please contact: rhv-devops@redhat.com


Note You need to log in before you can comment on or make changes to this bug.